[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# InOutRes

Result of last I/O operation.

## Declaration

Source position: systemh.inc line 760

`var InOutRes: Word;`

## Description

InOutRes contains the result of the last I/O operation using one of the file I/O routines. When I/O checks are enabled, this variable is checked and if it is nonzero, a runtime error is raised.

Although it is a variable for historical reasons, it is not meant to be written to by user code, outside of routines that implement some form of file I/O.

## See also

reset |  | Open file for reading
rewrite |  | Open file for writing
close |  | Close a file
read |  | Read from a text file into variable
write |  | Write variable to a text file or standard output
blockread |  | Read data from an untyped file into memory
blockwrite |  | Write data from memory to an untyped file
EOF |  | Check for end of file